From c4c8993275e27cc5fde38f4d24ad223beb2debd4 Mon Sep 17 00:00:00 2001
From: Sami Imseih <simseih@amazon.com>
Date: Fri, 11 Apr 2025 13:16:28 +0900
Subject: [PATCH v2] Fix stats.sql test for systems that don't sync wal with
 fsync

---
 src/test/regress/expected/stats.out | 1 +
 src/test/regress/sql/stats.sql      | 1 +
 2 files changed, 2 insertions(+)

diff --git a/src/test/regress/expected/stats.out b/src/test/regress/expected/stats.out
index cd08a2ca0af1..776f1ad0e534 100644
--- a/src/test/regress/expected/stats.out
+++ b/src/test/regress/expected/stats.out
@@ -1456,6 +1456,7 @@ SELECT :io_sum_wal_normal_after_writes > :io_sum_wal_normal_before_writes;
 (1 row)
 
 SELECT current_setting('fsync') = 'off'
+  OR current_setting('wal_sync_method') IN ('open_sync', 'open_datasync')
   OR :io_sum_wal_normal_after_fsyncs > :io_sum_wal_normal_before_fsyncs;
  ?column? 
 ----------
diff --git a/src/test/regress/sql/stats.sql b/src/test/regress/sql/stats.sql
index c223800fd19c..232ab8db8fa8 100644
--- a/src/test/regress/sql/stats.sql
+++ b/src/test/regress/sql/stats.sql
@@ -672,6 +672,7 @@ SELECT sum(writes) AS writes, sum(fsyncs) AS fsyncs
 SELECT current_setting('synchronous_commit') = 'on';
 SELECT :io_sum_wal_normal_after_writes > :io_sum_wal_normal_before_writes;
 SELECT current_setting('fsync') = 'off'
+  OR current_setting('wal_sync_method') IN ('open_sync', 'open_datasync')
   OR :io_sum_wal_normal_after_fsyncs > :io_sum_wal_normal_before_fsyncs;
 
 -- Change the tablespace so that the table is rewritten directly, then SELECT
-- 
2.49.0

